using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using ZXDT.CallCenter.Model;

namespace ZXDT.CallCenter.BLL
{
    /// <summary>
    /// T_Sys_DictionaryBase
    /// </summary>
    public partial class T_Sys_DictionaryBase
    {
        private readonly ZXDT.CallCenter.DAL.T_Sys_DictionaryBase dal = new ZXDT.CallCenter.DAL.T_Sys_DictionaryBase();
        public T_Sys_DictionaryBase()
        { }
        #region  BasicMethod
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(string F_DictionaryFlag)
        {
            return dal.Exists(F_DictionaryFlag);
        }

        /// <summary>
        /// 增加一条数据
        /// </summary>
        public bool Add(ZXDT.CallCenter.Model.T_Sys_DictionaryBase model)
        {
            return dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(ZXDT.CallCenter.Model.T_Sys_DictionaryBase model)
        {
            return dal.Update(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(string F_DictionaryFlag)
        {

            return dal.Delete(F_DictionaryFlag);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteList(string F_DictionaryFlaglist)
        {
            return dal.DeleteList(F_DictionaryFlaglist);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public ZXDT.CallCenter.Model.T_Sys_DictionaryBase GetModel(string F_DictionaryFlag)
        {

            return dal.GetModel(F_DictionaryFlag);
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<ZXDT.CallCenter.Model.T_Sys_DictionaryBase> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<ZXDT.CallCenter.Model.T_Sys_DictionaryBase> DataTableToList(DataTable dt)
        {
            List<ZXDT.CallCenter.Model.T_Sys_DictionaryBase> modelList = new List<ZXDT.CallCenter.Model.T_Sys_DictionaryBase>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                ZXDT.CallCenter.Model.T_Sys_DictionaryBase model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = dal.DataRowToModel(dt.Rows[n]);
                    if (model != null)
                    {
                        modelList.Add(model);
                    }
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            return dal.GetRecordCount(strWhere);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            return dal.GetListByPage(strWhere, orderby, startIndex, endIndex);
        }
       

        #endregion  BasicMethod
        #region  ExtensionMethod

        #endregion  ExtensionMethod

        #region 获取树结构
        /// <summary>
        /// 获得当前节点下的所有子集以tree的格式
        /// </summary>
        public TreeNodeStrModel GetDictionaryJsonModel()
        {
            return dal.GetDictionaryJsonModel();
        }

        #endregion
    
    
    }



}
